Bug 1645372 - capsule upgrade to 6.5 points the last scenario to foreman-proxy-content and removes capsule-answers
Summary: capsule upgrade to 6.5 points the last scenario to foreman-proxy-content and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1653153
TreeView+ depends on / blocked
 
Reported: 2018-11-02 04:36 UTC by Nikhil Kathole
Modified: 2019-10-07 17:17 UTC (History)
4 users (show)

Fixed In Version: katello-installer-base-3.9.0-0.2.rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:43 UTC

Description Nikhil Kathole 2018-11-02 04:36:31 UTC
Description of problem:

yum update while upgrading 6.4 capsule to 6.5 removes capsule-answers yaml file and last scenario points to foreman-proxy-content.yaml

warning: /etc/foreman-installer/scenarios.d/capsule-answers.yaml created as /etc/foreman-installer/scenarios.d/capsule-answers.yaml.rpmnew
warning: /etc/foreman-installer/scenarios.d/satellite-answers.yaml created as /etc/foreman-installer/scenarios.d/satellite-answers.yaml.rpmnew



and then satellite-installer shows

#satellite-installer --scenario capsule --upgrade --certs-tar certs.tar --certs-update-all --regenerate true --deploy true
 No answer file at /etc/foreman-installer/scenarios.d/capsule-answers.yaml found, can not continue


Version-Release number of selected component (if applicable):
Satellite 6.5 snap 1


How reproducible:


Steps to Reproduce:
1. yum update -y on capsule 6.4
2. Satellite-installer --scenario capsule --upgrade

Actual results:

# ll /etc/foreman-installer/scenarios.d/
total 108
-rw-------. 1 root root  1173 Oct 25 10:45 capsule-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Nov  1 16:40 capsule.migrations
-rw-------. 1 root root  1015 Nov  1 23:42 capsule.yaml
-rw-------. 1 root root   823 Jan 23  2018 capsule.yaml.rpmnew
-rw-------. 1 root root  2096 Mar 21  2018 foreman-answers.yaml
-rw-------. 1 root root  2388 Oct 23 10:03 foreman-answers.yaml.rpmnew
lrwxrwxrwx. 1 root root    54 Nov  1 16:40 foreman.migrations -> /usr/share/foreman-installer/config/foreman.migrations
-rw-r--r--. 1 root root  1335 Mar 21  2018 foreman-migrations-applied
-rw-------. 1 root root 14012 Oct 31 13:22 foreman-proxy-content-answers.yaml
-rw-------. 1 root root  1139 Oct 24 09:39 foreman-proxy-content-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Nov  1 16:40 foreman-proxy-content.migrations
-rw-------. 1 root root  2583 Nov  1 16:44 foreman-proxy-content.yaml
-rw-------. 1 root root   824 Nov  1 16:44 foreman.yaml
-rw-------. 1 root root  2331 Dec 27  2016 katello-answers.yaml
-rw-------. 1 root root  3015 Oct 24 09:39 katello-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Nov  1 16:40 katello.migrations
-rw-------. 1 root root  5870 Nov  1 16:44 katello.yaml
-rw-------. 1 root root   894 Jan 30  2018 katello.yaml.rpmnew
lrwxrwxrwx. 1 root root    61 Nov  1 16:44 last_scenario.yaml -> /etc/foreman-installer/scenarios.d/foreman-proxy-content.yaml
-rw-------. 1 root root  3180 Nov  1 16:44 satellite-answers.yaml
-rw-------. 1 root root  2894 Oct 25 10:45 satellite-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Nov  1 16:40 satellite.migrations
-rw-------. 1 root root  1048 Nov  1 16:44 satellite.yaml
-rw-------. 1 root root   856 Jan 23  2018 satellite.yaml.rpmnew


Expected results: last scenario should points to capsule.yaml and capsule-answers.yaml file should present.


Additional info:

Comment 6 Nikhil Kathole 2018-12-02 12:08:41 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 6

# ll /etc/foreman-installer/scenarios.d/
total 116
-rw-------. 1 root root 14333 Dec  2 06:00 capsule-answers.yaml
-rw-------. 1 root root  1279 Nov 15 03:25 capsule-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Dec  2 05:51 capsule.migrations
-rw-------. 1 root root  1015 Dec  2 06:00 capsule.yaml
-rw-------. 1 root root   841 Nov 15 03:25 capsule.yaml.rpmnew
-rw-------. 1 root root  2096 Mar 21  2018 foreman-answers.yaml
-rw-------. 1 root root  2388 Nov 29 14:46 foreman-answers.yaml.rpmnew
lrwxrwxrwx. 1 root root    54 Dec  2 05:51 foreman.migrations -> /usr/share/foreman-installer/config/foreman.migrations
-rw-r--r--. 1 root root  1335 Mar 21  2018 foreman-migrations-applied
-rw-------. 1 root root  1331 Mar 21  2018 foreman-proxy-content-answers.yaml
-rw-------. 1 root root  1139 Nov 30 13:13 foreman-proxy-content-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Dec  2 05:51 foreman-proxy-content.migrations
-rw-------. 1 root root  2583 Dec  2 05:56 foreman-proxy-content.yaml
-rw-------. 1 root root   828 Nov 30 13:13 foreman-proxy-content.yaml.rpmnew
-rw-------. 1 root root   824 Dec  2 05:56 foreman.yaml
-rw-------. 1 root root  2331 Dec 27  2016 katello-answers.yaml
-rw-------. 1 root root  3015 Nov 30 13:13 katello-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Dec  2 05:51 katello.migrations
-rw-------. 1 root root  5870 Dec  2 05:56 katello.yaml
-rw-------. 1 root root   838 Nov 30 13:13 katello.yaml.rpmnew
lrwxrwxrwx. 1 root root    12 Dec  2 06:00 last_scenario.yaml -> capsule.yaml
-rw-------. 1 root root  3269 Dec  2 05:56 satellite-answers.yaml
-rw-------. 1 root root  2983 Nov 15 03:25 satellite-answers.yaml.rpmnew
drwxr-xr-x. 2 root root  4096 Dec  2 05:51 satellite.migrations
-rw-------. 1 root root  1048 Dec  2 05:56 satellite.yaml
-rw-------. 1 root root   856 Jan 23  2018 satellite.yaml.rpmnew

Comment 8 errata-xmlrpc 2019-05-14 12:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.